-- Create script add_scan_tables.sh to add missing traffic tables to AD_SCAN_TABLES
-- Steps: 
-- 1. sqlplus $DB_CONNECT @add_scan_tables.sql 
-- 2. chmod +x add_scan_tables.sh
-- 3. ./add_scan_tables.sh

set pages 0;
set heading off;
set feedback off;
set verify off;
spool add_scan_tables.sh;

select 'AD_scan_tab_maint.sh -a ' || TABLE_NAME from part_tables
 where table_name like 'MOT_TF_%_TAB'
/* Skip table exist eventhough it uses lower case */
   and table_name not in (select upper(table_name) from ad_scan_tables)
/* Skip table because in this product, the table is not in wmd_dict_table. */
   and table_name <> 'MOT_TF_C_PM_SEC_CAR_KCI_TAB';
spool off;

exit;