-- Create script del_scan_tables.sh to remove duplicate entries in AD_SCAN_TABLES
-- Steps: 
-- 1. sqlplus $DB_CONNECT @del_dup_entries.sql 
-- 2. chmod +x del_dup_entries.sh
-- 3. ./del_dup_entries.sh

set pages 0;
set heading off;
set feedback off;
set verify off;
spool del_dup_entries.sh;

select 'AD_scan_tab_maint.sh -d ' || TABLE_NAME from ad_Scan_tables 
  where lower(table_name) in (select lower(table_name) from ad_Scan_tables group by lower(table_name) having count(1) >1 );
spool off;

exit;