--
--
-- COPYRIGHT IBM Corp 2008
--
-- Create the loader temporary tables used by jloader
--
-- author: eliasa
--
-- date: 25June08
--

DROP TABLE OMCRPM_63_TMP CASCADE CONSTRAINTS;
DROP TABLE OMCRPM_121_TMP CASCADE CONSTRAINTS;
DROP TABLE OMCRPM_200_TMP CASCADE CONSTRAINTS;
DROP TABLE PMSERVERPM_520_TMP CASCADE CONSTRAINTS;

CREATE GLOBAL TEMPORARY TABLE OMCRPM_63_TMP
(
  RECORD_DATE     VARCHAR2(20 BYTE),
  START_INTERVAL  VARCHAR2(20 BYTE),
  END_INTERVAL    VARCHAR2(20 BYTE),
  OMC_ID          NUMBER(10),
  MM_ID           NUMBER(10),
  SUBJ_ID_1       NUMBER(10),
  SUBJ_ID_2       NUMBER(10),
  PMC63_PC1       NUMBER(10),
  PMC63_PC2       NUMBER(10),
  PMC63_PC3       NUMBER(10),
  PMC63_PC4       NUMBER(10),
  PMC63_PC5       NUMBER(10),
  PMC63_PC6       NUMBER(10),
  PMC63_PC7       NUMBER(10),
  PMC63_PC8       NUMBER(10),
  PMC63_PC9       NUMBER(10),
  PMC63_PC10      NUMBER(10),
  PMC63_PC11      NUMBER(10),
  PMC63_PC12      NUMBER(10),
  PMC63_PC13      NUMBER(10),
  PMC63_PC14      NUMBER(10),
  PMC63_PC15      NUMBER(10),
  PMC63_PC16      NUMBER(10),
  PMC63_PC17      NUMBER(10),
  PMC63_PC18      NUMBER(10),
  PMC63_PC19      NUMBER(10),
  PMC63_PC20      NUMBER(10),
  PMC63_PC21      NUMBER(10),
  PMC63_PC22      NUMBER(10),
  PMC63_PC23      NUMBER(10),
  PMC63_PC24      NUMBER(10),
  PMC63_PC25      NUMBER(10),
  PMC63_PC26      NUMBER(10),
  PMC63_PC27      NUMBER(10),
  PMC63_PC28      NUMBER(10),
  PMC63_PC29      NUMBER(10),
  PMC63_PC30      NUMBER(10),
  PMC63_PC31      NUMBER(10),
  PMC63_PC32      NUMBER(10),
  PMC63_PC33      NUMBER(10),
  PMC63_PC34      NUMBER(10),
  PMC63_PC35      NUMBER(10),
  PMC63_PC36      NUMBER(10),
  PMC63_PC37      NUMBER(10),
  PMC63_PC38      NUMBER(10),
  PMC63_PC39      NUMBER(10),
  PMC63_PC40      NUMBER(10),
  PMC63_PC41      NUMBER(10)
)
ON COMMIT PRESERVE ROWS;

CREATE GLOBAL TEMPORARY TABLE OMCRPM_121_TMP
(
  RECORD_DATE     VARCHAR2(20),
  START_INTERVAL  VARCHAR2(20),
  END_INTERVAL    VARCHAR2(20),
  OMC_ID          NUMBER(10),
  MM_ID           NUMBER(10),
  SUBJ_ID_1       NUMBER(10),
  SUBJ_ID_2       NUMBER(10),
  SUBJ_ID_3       NUMBER(10),
  SUBJ_ID_4       NUMBER(10),
  SUBJ_ID_5       NUMBER(10),
  SUBJ_ID_6       NUMBER(10),
  SUBJ_ID_7       NUMBER(10),
  PMC121_PC1      NUMBER(10),
  PMC121_PC2      NUMBER(10),
  PMC121_PC3      NUMBER(10),
  PMC121_PC4      NUMBER(10),
  PMC121_PC5      NUMBER(10),
  PMC121_PC6      NUMBER(10),
  PMC121_PC7      NUMBER(10),
  PMC121_PC8      NUMBER(10),
  PMC121_PC9      NUMBER(10),
  PMC121_PC10     NUMBER(10),
  PMC121_PC11     NUMBER(10),
  PMC121_PC12     NUMBER(10),
  PMC121_PC13     NUMBER(10),
  PMC121_PC14     NUMBER(10),
  PMC121_PC15     NUMBER(10),
  PMC121_PC16     NUMBER(10),
  PMC121_PC17     NUMBER(10),
  PMC121_PC18     NUMBER(10),
  PMC121_PC19     NUMBER(10),
  PMC121_PC20     NUMBER(10),
  PMC121_PC21     NUMBER(10),
  PMC121_PC22     NUMBER(10),
  PMC121_PC23     NUMBER(10),
  PMC121_PC24     NUMBER(10),
  PMC121_PC25     NUMBER(10),
  PMC121_PC26     NUMBER(10),
  PMC121_PC27     NUMBER(10),
  PMC121_PC28     NUMBER(10)
)
ON COMMIT PRESERVE ROWS;


CREATE GLOBAL TEMPORARY TABLE PMSERVERPM_520_TMP ( 
  RECORD_DATE     VARCHAR2 (20),
  START_INTERVAL  VARCHAR2 (20),
  END_INTERVAL    VARCHAR2 (20),
  OMC_ID          NUMBER (10),
  MM_ID           NUMBER (10),
  PMC520_PC1      NUMBER (10),
  PMC520_PC2      NUMBER (10),
  PMC520_PC3      NUMBER (10),
  PMC520_PC4      NUMBER (10),
  PMC520_PC5      NUMBER (10),
  PMC520_PC6      NUMBER (10),
  PMC520_PC7      NUMBER,
  PMC520_PC8      NUMBER,
  PMC520_PC9      NUMBER,
  PMC520_PC10     NUMBER,
  PMC520_PC11     NUMBER,
  PMC520_PC12     NUMBER,
  PMC520_PC13     NUMBER (10),
  PMC520_PC14     NUMBER (10),
  PMC520_PC15     NUMBER (10)
) 
ON COMMIT PRESERVE ROWS;

CREATE GLOBAL TEMPORARY TABLE OMCRPM_200_TMP ( 
  RECORD_DATE     VARCHAR2 (20), 
  START_INTERVAL  VARCHAR2 (20), 
  END_INTERVAL    VARCHAR2 (20), 
  OMC_ID          NUMBER (10), 
  MM_ID           NUMBER (10), 
  SUBJ_ID_1       NUMBER (10), 
  SUBJ_ID_2       NUMBER (10), 
  SUBJ_ID_3       NUMBER (10), 
  SUBJ_ID_4       NUMBER (10), 
  PMC200_PC1      NUMBER (10), 
  PMC200_PC2      NUMBER (10), 
  PMC200_PC3      NUMBER (10), 
  PMC200_PC4      NUMBER (10), 
  PMC200_PC5      NUMBER (10), 
  PMC200_PC6      NUMBER (10), 
  PMC200_PC7      NUMBER (10), 
  PMC200_PC8      NUMBER (10), 
  PMC200_PC9      NUMBER (10), 
  PMC200_PC10     NUMBER (10), 
  PMC200_PC11     NUMBER (10), 
  PMC200_PC12     NUMBER (10), 
  PMC200_PC13     NUMBER (10), 
  PMC200_PC14     NUMBER (10), 
  PMC200_PC15     NUMBER (10), 
  PMC200_PC16     NUMBER (10), 
  PMC200_PC17     NUMBER (10), 
  PMC200_PC18     NUMBER (10), 
  PMC200_PC19     NUMBER (10), 
  PMC200_PC20     NUMBER (10), 
  PMC200_PC21     NUMBER (10), 
  PMC200_PC22     NUMBER (10), 
  PMC200_PC23     NUMBER (10), 
  PMC200_PC24     NUMBER (10), 
  PMC200_PC25     NUMBER (10), 
  PMC200_PC26     NUMBER (10), 
  PMC200_PC27     NUMBER (10), 
  PMC200_PC28     NUMBER (10), 
  PMC200_PC29     NUMBER (10), 
  PMC200_PC30     NUMBER (10), 
  PMC200_PC31     NUMBER (10), 
  PMC200_PC32     NUMBER (10), 
  PMC200_PC33     NUMBER (10), 
  PMC200_PC34     NUMBER (10), 
  PMC200_PC35     NUMBER (10), 
  PMC200_PC36     NUMBER (10), 
  PMC200_PC37     NUMBER (10), 
  PMC200_PC38     NUMBER (10), 
  PMC200_PC39     NUMBER (10), 
  PMC200_PC40     NUMBER (10), 
  PMC200_PC41     NUMBER (10), 
  PMC200_PC42     NUMBER (10), 
  PMC200_PC43     NUMBER (10), 
  PMC200_PC44     NUMBER (10), 
  PMC200_PC45     NUMBER (10), 
  PMC200_PC46     NUMBER (10), 
  PMC200_PC47     NUMBER (10), 
  PMC200_PC48     NUMBER (10), 
  PMC200_PC49     NUMBER (10), 
  PMC200_PC50     NUMBER (10), 
  PMC200_PC51     NUMBER (10), 
  PMC200_PC52     NUMBER (10), 
  PMC200_PC53     NUMBER (10), 
  PMC200_PC54     NUMBER (10), 
  PMC200_PC55     NUMBER (10), 
  PMC200_PC56     NUMBER (10), 
  PMC200_PC57     NUMBER (10), 
  PMC200_PC58     NUMBER (10), 
  PMC200_PC59     NUMBER (10), 
  PMC200_PC60     NUMBER (10), 
  PMC200_PC61     NUMBER (10), 
  PMC200_PC62     NUMBER (10), 
  PMC200_PC63     NUMBER (10), 
  PMC200_PC64     NUMBER (10), 
  PMC200_PC65     NUMBER (10), 
  PMC200_PC66     NUMBER (10), 
  PMC200_PC67     NUMBER (10), 
  PMC200_PC68     NUMBER (10), 
  PMC200_PC69     NUMBER (10), 
  PMC200_PC70     NUMBER (10), 
  PMC200_PC71     NUMBER (10), 
  PMC200_PC72     NUMBER (10), 
  PMC200_PC73     NUMBER (10), 
  PMC200_PC74     NUMBER (10)) ON COMMIT PRESERVE ROWS;