BEGIN

-- Hide OEM specific pegs
UPDATE wmd_field_def fd SET fd.datasource_id=NULL WHERE field_id IN (SELECT dn.field_id FROM WMD_DICT_NAME dn WHERE UPPER(dn.name) LIKE 'KCIRU%' OR UPPER(dn.name) LIKE 'MOTKCI%');

-- Delete OEM specific UDCs
DELETE FROM WMD_UDC_DEF WHERE field_id IN (SELECT field_id FROM WMD_DICT_NAME WHERE NAME LIKE 'MOT_%');
DELETE FROM WMD_DICT_NAME WHERE NAME LIKE 'MOT_%';

COMMIT;

END;
/
