--  generate new XML queries for the System Scenarios
--  following changes to scenario load package body 

DECLARE
  vNewQuery  INTEGER;
  CURSOR csrScenario IS
     SELECT ID, UserID, Type, SystemID, Query_ID FROM PM_Scenario
       WHERE Type IN ('A','C')
       FOR UPDATE OF Query_ID;
BEGIN
  FOR vScenario IN csrScenario LOOP
    vNewQuery := WM_Scenario.Create_Scenario_Query( vScenario.SystemID, vScenario.Type );
    UPDATE PM_Scenario SET Query_ID = vNewQuery WHERE CURRENT OF csrScenario;
  END LOOP;
END;
/
COMMIT;

EXIT;

