-- ----------------------------------------------------------------------
-- @(#) create_mot_aemsc_pm_tmps.sql 1.0.0 06/10/17 21:41:51
-- @(#)
-- Copyright 2006 Vallent Corp.
-- ----------------------------------------------------------------------

SET SERVEROUTPUT ON SIZE 1000000

-- --------------------------------------------------------------------
-- --------------------------------------------------------------------


DECLARE
  lv_sql VARCHAR2(2000);
  lv_tmp VARCHAR2(30);
BEGIN

  FOR c1 IN ( SELECT table_name
	      FROM user_tables
	      WHERE table_name LIKE 'MOT_PM_AEMS_C605_EXT'
	      OR table_name LIKE 'MOT_PM_AEMS_C608_EXT' ESCAPE '\'
	      ORDER BY table_name )

  LOOP
    lv_tmp := SUBSTR( c1.table_name, 1, LENGTH(c1.table_name) - 3 ) || 'TMP';
    lv_sql := 'CREATE GLOBAL TEMPORARY TABLE ' || lv_tmp ||
	      ' ON COMMIT PRESERVE ROWS ' ||
	      ' AS SELECT * FROM ' || c1.table_name || ' WHERE ROWNUM = 0 ';
    EXECUTE IMMEDIATE lv_sql;

    EXECUTE IMMEDIATE 'ALTER TABLE ' || lv_tmp || ' MODIFY record_date DATE';
    EXECUTE IMMEDIATE 'ALTER TABLE ' || lv_tmp || ' MODIFY start_of_interval DATE';
    EXECUTE IMMEDIATE 'ALTER TABLE ' || lv_tmp || ' MODIFY end_of_interval DATE';

  END LOOP;

END;
/
-- --------------------------------------------------------------------
-- --------------------------------------------------------------------

-- Done.
