<?xml version="1.0" encoding="UTF-8"?>
<WATCHMARK>
	<DEFAULTS>
		<DBCONNECT>flexpm/flexpm@flexpm</DBCONNECT>
		<BASEDIR>/u01/apps/WatchMark/FlexPM/Motorola</BASEDIR>
		<CORE_INSTALLDIR>ProspectBase</CORE_INSTALLDIR>
		<PORTBASE>6440</PORTBASE>
		<LICENSEHOST>localhost</LICENSEHOST>
		<TMPDIR>/tmp</TMPDIR>
		<CLASSPATH>lib/preval.jar:lib/jdom.jar:lib/log4j.jar:lib/jython.jar:/u01/apps/oracle/product/9.2.0/jdbc/lib/classes12.zip:.</CLASSPATH>
	</DEFAULTS>
	<MODULES>
	        <PRE_VALIDATE language="java">scripts/check_os -o 5.9 -o 5.10</PRE_VALIDATE>
	        <PRE_VALIDATE language="java">scripts/check_perl -p 5.6.1</PRE_VALIDATE>
                <PRE_VALIDATE language="java">scripts/check_space -s 400 -i /var/tmp</PRE_VALIDATE>
                <PRE_VALIDATE language="java">scripts/check_accounts</PRE_VALIDATE>
                <PRE_VALIDATE language="java">scripts/middleware_status</PRE_VALIDATE>
                <PRE_VALIDATE language="java">scripts/check_oracle_sysdba</PRE_VALIDATE>
                <PRE_VALIDATE language="java">scripts/check_oracle_status</PRE_VALIDATE>
                <PRE_VALIDATE language="java">scripts/check_oracle_patch_lvl -o 9.2.0.8 --enterprise</PRE_VALIDATE>
                <PRE_VALIDATE language="java">scripts/check_oracle_tablespaces -t traffic_jumboplus -a 10%</PRE_VALIDATE>
                <PRE_VALIDATE language="java">scripts/check_oracle_tablespaces -t traffic_jumbo -a 10%</PRE_VALIDATE>
                <PRE_VALIDATE language="java">scripts/check_oracle_tablespaces -t traffic_large -a 10%</PRE_VALIDATE>
                <PRE_VALIDATE language="java">scripts/check_oracle_tablespaces -t traffic_medium -a 10%</PRE_VALIDATE>
                <PRE_VALIDATE language="java">scripts/check_oracle_tablespaces -t traffic_small -a 10%</PRE_VALIDATE>
                <PRE_VALIDATE language="java">scripts/check_oracle_tablespaces -t wm_flexpm -a 10%</PRE_VALIDATE>
                <PRE_VALIDATE language="java">scripts/check_oracle_tablespaces -t config -a 10%</PRE_VALIDATE>
          </MODULES>
</WATCHMARK>
